FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000990FL51.2 FLCCpublic2020-03-12 09:432020-04-30 19:43
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.21 
Target Version5.1.23Fixed in Version5.1.23 
Summary0000990: Add new column format RST to read the rest of an record or to a fix offset inside of an record
DescriptionCurrently to read a variable length rest of an record, format DLM with a delimiter which not occur and the switch ANDEOD must be used. It would be much more better to a own format to read the rest of an record into a column.

The same is required if the next column starts at a fix offset and the remaining rest up to this offset must be read into a column. Read up to an and would be done if the offset is 0, if an offset defined the data would be read up to this offset.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000996resolvedFalk Reichbott Support digit based length fields at FORMAT.LDF 

-  Notes
(0001309)
Falk Reichbott (administrator)
2020-04-30 19:43

The format.rst() is now available to read remaining rest up to an offset or the end of an record or block. At write you can add space up to a certain offset, which is filled with the provided data or if not or some remaining rest will be padded with a defined padding byte.

- Issue History
Date Modified Username Field Change
2020-03-12 09:43 Falk Reichbott New Issue
2020-03-12 09:43 Falk Reichbott Status new => assigned
2020-03-12 09:43 Falk Reichbott Assigned To => Falk Reichbott
2020-04-27 12:22 Falk Reichbott Summary Add new column format RST to read the rest of an record => Add new column format RST to read the rest of an record or to a fix offset inside of an record
2020-04-27 12:22 Falk Reichbott Description Updated View Revisions
2020-04-27 12:51 Falk Reichbott Relationship added related to 0000996
2020-04-30 19:43 Falk Reichbott Note Added: 0001309
2020-04-30 19:43 Falk Reichbott Status assigned => resolved
2020-04-30 19:43 Falk Reichbott Fixed in Version => 5.1.23
2020-04-30 19:43 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker